Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_uri

## Name

librdf_new_uri -- Constructor - create a new librdf_uri object from a URI string

## Synopsis

``librdf_uri* `librdf_new_uri`` (librdf_world * `world`, const char * `uri_string`);`

## Arguments

`world`

  redland world object

`uri_string`

  URI in string form

## Description

A new URI is constructed from a copy of the string.

## Return value

a new librdf_uri object or NULL on failure

<<< Previous | Home | Next >>>
librdf_finish_uri | Up | librdf_new_uri_from_uri